Package: org.grails.web.json.parser

## [Java] Class StringUnmarshaller

- org.grails.web.json.parser.StringUnmarshaller

-     final class StringUnmarshaller
      extends java.lang.Object

  Authors:
    Siegfried Puchbauer Adapted from the Google GSON Parser http://google-gson.googlecode.com/

- - ### Constructor Summary

    Constructors
    Constructor and description
    `private StringUnmarshaller ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static int` | `getCodePoint(java.lang.String str, int i)`
    `` | `private static char` | `getEscapedChar(java.lang.String str, char c)`
    `` | `static java.lang.String` | `unmarshall(java.lang.String str)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### private StringUnmarshaller()

  - ### Method Detail

    - #### private static int getCodePoint(java.lang.String str, int i)

    - #### private static char getEscapedChar(java.lang.String str, char c)

    - #### static java.lang.String unmarshall(java.lang.String str)